# Lena.js

Tiny library for image processing.

[![Codeclimate](https://codeclimate.com/github/davidsonfellipe/lena.js/badges/gpa.svg?style=flat)](https://codeclimate.com/github/davidsonfellipe/lena.js)
[![MIT license](https://img.shields.io/github/license/mashape/apistatus.svg?style=flat)](https://davidsonfellipe.mit-license.org/)
[![NPM](https://badgen.net/npm/v/lena.js)](https://www.npmjs.com/package/lena.js)

## Install via NPM

```
npm install lena.js --save
```

## Install via yarn

```
yarn add lena.js
```

## Run demo

```
yarn demo
```

## Demo

[https://fellipe.com/demos/lena-js/](https://fellipe.com/demos/lena-js/)

![Demo](https://user-images.githubusercontent.com/381179/32207948-b2dfcff8-bdd5-11e7-8c83-08b86a7616be.gif)

## Current filters

- Canny
- Gaussian
- Grayscale
- Highpass
- Invert
- Laplacian
- Mirror
- Noise
- Prewitt
- RGB
- Roberts
- Saturation
- Sepia
- Sharpen
- Sobel
- Thresholding
- Lowpass 3x3
- Lowpass 5x5

## Author

[![Davidson Fellipe](http://gravatar.com/avatar/054c583ad5dc09a861874e14dcb43e4c?s=70)](https://github.com/davidsonfellipe)
<br>
[Davidson Fellipe](https://github.com/davidsonfellipe)

## Tutorials

- [How to add image filters (photo effects) to images in the browser with JavaScript using Lena.js](https://ourcodeworld.com/articles/read/515/how-to-add-image-filters-photo-effects-to-images-in-the-browser-with-javascript-using-lena-js)

## Contribute

Anyone and everyone is welcome to contribute. See some [developers](https://github.com/davidsonfellipe/lena.js/graphs/contributors) that helped.

## License

Code is under [MIT](http://davidsonfellipe.mit-license.org) license
